CREATE TABLE GQ_RECORDCOUNT (
  TABLENAME	VARCHAR(16) NOT NULL,
  RECORDCOUNT	INTEGER,
CONSTRAINT "PK_GQ_RECORDCOUNT" PRIMARY KEY (TABLENAME)
);
GRANT USERS TO GQUERY;
GRANT SELECT ON GQ_RECORDCOUNT TO USERS;

CREATE TABLE DG_SUMMARY (
  DGNO		INTEGER NOT NULL,
  COUNTRY	VARCHAR(35),
  LOCATION	VARCHAR(30),
  ALLNAMES	VARCHAR(200),
  COMMODITIES	VARCHAR(100),
  DEPCLAN	VARCHAR(50),
  LONGDD	FLOAT,
  LATDD		FLOAT,
  DBNAME	VARCHAR(30),
  COMPBY	VARCHAR(200),
  RELDATE	VARCHAR(10),
CONSTRAINT "PK_DG_SUMMARY" PRIMARY KEY (DGNO)
);
GRANT USERS TO GQUERY;
GRANT SELECT ON DG_SUMMARY TO USERS;

CREATE TABLE DP_SUMMARY (
  DEPNO		INTEGER NOT NULL,
  COUNTRY	VARCHAR(35),
  LOCATION	VARCHAR(30),
  ALLNAMES	VARCHAR(200),
  COMMODITIES	VARCHAR(100),
  DEPCLAN	VARCHAR(50),
  LONGDD	FLOAT,
  LATDD		FLOAT,
  DBNAME	VARCHAR(30),
  COMPBY	VARCHAR(200),
  RELDATE	VARCHAR(10),
CONSTRAINT "PK_DP_SUMMARY" PRIMARY KEY (DEPNO)
);
GRANT USERS TO GQUERY;
GRANT SELECT ON DP_SUMMARY TO USERS;
